function evaluationData = rok_evaluation_anonymous_initialize (numIds)
    % evaluationData = ROK_EVALUATION_ANONYMOUS_INITIALIZE (numIds)
    %
    % Initialize data structure for anonymous detection evaluation.
    %
    % Input:
    %  - numIds = number of object/person ids
    %
    % Output:
    %  - evaluationData = evaluation data structure, to be used in other
    %    ROK_EVALUATION_ANONYMOUS_* functions.
    %
    % See also: ROK_EVALUATION_ANONYMOUS_UPDATE,
    % ROK_EVALUATION_ANONYMOUS_DISPLAY
    %
    % Cpyright (C) 2012, Rok Mandeljc <rok.mandeljc@fe.uni-lj.si>
    
    evaluationData.counterDetections = 0;
    evaluationData.counterFp = 0;

    evaluationData.counterFn = zeros(1, numIds);
    evaluationData.counterGround = zeros(1, numIds);
    evaluationData.counterAssigned = zeros(1, numIds);

    evaluationData.distances = cell(1, numIds);
end